#property copyright "Rodrigo O. P. Ferreira <rodrixl@gmail.com>"
#property link      "http://www.mql5.com"
#property version   "1.00"
#include <Trade\Trade.mqh>

input string CompraPrefix ="Compra_*";
input string VendaPrefix= "Venda_*";
input string PAPEL="WINQ14";

int OnInit()
  {
  return(0);
  }
  
void OnDeinit(const int reason)
  {
  }
  
void OnTick(void)
  {
  MqlRates mrate[];
  string file_name;
  int qtd;
  long search_handle;
  
  // primeiro as compras  
  search_handle =FileFindFirst(CompraPrefix,file_name,FILE_SHARE_READ | FILE_SHARE_WRITE);  
  if(search_handle!=INVALID_HANDLE)
  {
   do
   {
      if(FileIsExist(file_name,FILE_SHARE_READ | FILE_SHARE_WRITE)){
         qtd = StringToInteger(
                               StringSubstr(file_name,7,2)
                               );
         if(qtd>0){
            CTrade trade;
            trade.PositionOpen(PAPEL,ORDER_TYPE_BUY,qtd,
                              SymbolInfoDouble(PAPEL,SYMBOL_ASK),0,0);
            printf("Comprando [%d]lotes de [%s]",qtd,PAPEL);
            FileDelete(file_name,FILE_SHARE_READ | FILE_SHARE_WRITE);
         }
         
      }      
   } while(FileFindNext(search_handle,file_name));
  }
   FileFindClose(search_handle);
    
   // Agora as vendas
    
  search_handle =FileFindFirst(VendaPrefix,file_name,FILE_SHARE_READ | FILE_SHARE_WRITE);  
  if(search_handle!=INVALID_HANDLE)
  {
   do
   {
      if(FileIsExist(file_name,FILE_SHARE_READ | FILE_SHARE_WRITE)){
         qtd = StringToInteger(
                               StringSubstr(file_name,6,2)
                               );
         if(qtd>0){
            CTrade trade;
            trade.PositionOpen(PAPEL,ORDER_TYPE_SELL,qtd,
                              SymbolInfoDouble(PAPEL,SYMBOL_ASK),0,0);
            printf("Vendendo [%d]lotes de [%s]",qtd,PAPEL); 
            FileDelete(file_name,FILE_SHARE_READ | FILE_SHARE_WRITE);
         }
      
      }      
   } while(FileFindNext(search_handle,file_name));
   FileFindClose(search_handle);
    
  }
}

